package com.dji.sdk.cloudapi.psdk;

import com.dji.sdk.common.BaseModel;

import javax.validation.constraints.Max;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

/**
 * Speaker play mode set request
 * 
 * @author sean
 * @version 1.7
 * @date 2023/10/16
 */
public class SpeakerPlayModeSetRequest extends BaseModel {

    /**
     * PSDK payload device index (0-3)
     */
    @NotNull
    @Min(0)
    @Max(3)
    private Integer psdkIndex;

    /**
     * Play mode (0: single play, 1: loop play)
     */
    @NotNull
    @Min(0)
    @Max(1)
    private Integer playMode;

    public SpeakerPlayModeSetRequest() {
    }

    @Override
    public String toString() {
        return "SpeakerPlayModeSetRequest{" +
                "psdkIndex=" + psdkIndex +
                ", playMode=" + playMode +
                '}';
    }

    public Integer getPsdkIndex() {
        return psdkIndex;
    }

    public SpeakerPlayModeSetRequest setPsdkIndex(Integer psdkIndex) {
        this.psdkIndex = psdkIndex;
        return this;
    }

    public Integer getPlayMode() {
        return playMode;
    }

    public SpeakerPlayModeSetRequest setPlayMode(Integer playMode) {
        this.playMode = playMode;
        return this;
    }
}
